| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Typedefs | Functions
usbd_cdc.h File Reference
`#include "usbd.h"`

Go to the source code of this file.

## Macros
#define | CDC_V1_10 0x0110
#define | CDC_COMMUNICATION_INTERFACE_CLASS 0x02
#define | CDC_DIRECT_LINE_CONTROL_MODEL 0x01
#define | CDC_ABSTRACT_CONTROL_MODEL 0x02
#define | CDC_TELEPHONE_CONTROL_MODEL 0x03
#define | CDC_MULTI_CHANNEL_CONTROL_MODEL 0x04
#define | CDC_CAPI_CONTROL_MODEL 0x05
#define | CDC_ETHERNET_NETWORKING_CONTROL_MODEL 0x06
#define | CDC_ATM_NETWORKING_CONTROL_MODEL 0x07
#define | CDC_PROTOCOL_COMMON_AT_COMMANDS 0x01
#define | CDC_DATA_INTERFACE_CLASS 0x0A
#define | CDC_PROTOCOL_ISDN_BRI 0x30
#define | CDC_PROTOCOL_HDLC 0x31
#define | CDC_PROTOCOL_TRANSPARENT 0x32
#define | CDC_PROTOCOL_Q921_MANAGEMENT 0x50
#define | CDC_PROTOCOL_Q921_DATA_LINK 0x51
#define | CDC_PROTOCOL_Q921_MULTIPLEXOR 0x52
#define | CDC_PROTOCOL_V42 0x90
#define | CDC_PROTOCOL_EURO_ISDN 0x91
#define | CDC_PROTOCOL_V24_RATE_ADAPTATION 0x92
#define | CDC_PROTOCOL_CAPI 0x93
#define | CDC_PROTOCOL_HOST_BASED_DRIVER 0xFD
#define | CDC_PROTOCOL_DESCRIBED_IN_PUFD 0xFE
#define | CDC_CS_INTERFACE 0x24
#define | CDC_CS_ENDPOINT 0x25
#define | CDC_HEADER 0x00
#define | CDC_CALL_MANAGEMENT 0x01
#define | CDC_ABSTRACT_CONTROL_MANAGEMENT 0x02
#define | CDC_DIRECT_LINE_MANAGEMENT 0x03
#define | CDC_TELEPHONE_RINGER 0x04
#define | CDC_REPORTING_CAPABILITIES 0x05
#define | CDC_UNION 0x06
#define | CDC_COUNTRY_SELECTION 0x07
#define | CDC_TELEPHONE_OPERATIONAL_MODES 0x08
#define | CDC_USB_TERMINAL 0x09
#define | CDC_NETWORK_CHANNEL 0x0A
#define | CDC_PROTOCOL_UNIT 0x0B
#define | CDC_EXTENSION_UNIT 0x0C
#define | CDC_MULTI_CHANNEL_MANAGEMENT 0x0D
#define | CDC_CAPI_CONTROL_MANAGEMENT 0x0E
#define | CDC_ETHERNET_NETWORKING 0x0F
#define | CDC_ATM_NETWORKING 0x10
#define | CDC_SEND_ENCAPSULATED_COMMAND 0x00
#define | CDC_GET_ENCAPSULATED_RESPONSE 0x01
#define | CDC_SET_COMM_FEATURE 0x02
#define | CDC_GET_COMM_FEATURE 0x03
#define | CDC_CLEAR_COMM_FEATURE 0x04
#define | CDC_SET_AUX_LINE_STATE 0x10
#define | CDC_SET_HOOK_STATE 0x11
#define | CDC_PULSE_SETUP 0x12
#define | CDC_SEND_PULSE 0x13
#define | CDC_SET_PULSE_TIME 0x14
#define | CDC_RING_AUX_JACK 0x15
#define | CDC_SET_LINE_CODING 0x20
#define | CDC_GET_LINE_CODING 0x21
#define | CDC_SET_CONTROL_LINE_STATE 0x22
#define | CDC_SEND_BREAK 0x23
#define | CDC_SET_RINGER_PARMS 0x30
#define | CDC_GET_RINGER_PARMS 0x31
#define | CDC_SET_OPERATION_PARMS 0x32
#define | CDC_GET_OPERATION_PARMS 0x33
#define | CDC_SET_LINE_PARMS 0x34
#define | CDC_GET_LINE_PARMS 0x35
#define | CDC_DIAL_DIGITS 0x36
#define | CDC_SET_UNIT_PARAMETER 0x37
#define | CDC_GET_UNIT_PARAMETER 0x38
#define | CDC_CLEAR_UNIT_PARAMETER 0x39
#define | CDC_GET_PROFILE 0x3A
#define | CDC_SET_ETHERNET_MULTICAST_FILTERS 0x40
#define | CDC_SET_ETHERNET_PMP_FILTER 0x41
#define | CDC_GET_ETHERNET_PMP_FILTER 0x42
#define | CDC_SET_ETHERNET_PACKET_FILTER 0x43
#define | CDC_GET_ETHERNET_STATISTIC 0x44
#define | CDC_SET_ATM_DATA_FORMAT 0x50
#define | CDC_GET_ATM_DEVICE_STATISTICS 0x51
#define | CDC_SET_ATM_DEFAULT_VC 0x52
#define | CDC_GET_ATM_VC_STATISTICS 0x53
#define | CDC_ABSTRACT_STATE 0x01
#define | CDC_COUNTRY_SETTING 0x02
#define | CDC_IDLE_SETTING (1 << 0)
#define | CDC_DATA_MULTPLEXED_STATE (1 << 1)
#define | CDC_DTE_PRESENT (1 << 0)
#define | CDC_ACTIVATE_CARRIER (1 << 1)
#define | CDC_NOTIFICATION_NETWORK_CONNECTION 0x00
#define | CDC_RESPONSE_AVAILABLE 0x01
#define | CDC_AUX_JACK_HOOK_STATE 0x08
#define | CDC_RING_DETECT 0x09
#define | CDC_NOTIFICATION_SERIAL_STATE 0x20
#define | CDC_CALL_STATE_CHANGE 0x28
#define | CDC_LINE_STATE_CHANGE 0x29
#define | CDC_CONNECTION_SPEED_CHANGE 0x2A
#define | CDC_SERIAL_STATE_OVERRUN (1 << 6) /* receive data overrun error has occurred */
#define | CDC_SERIAL_STATE_PARITY (1 << 5) /* parity error has occurred */
#define | CDC_SERIAL_STATE_FRAMING (1 << 4) /* framing error has occurred */
#define | CDC_SERIAL_STATE_RING (1 << 3) /* state of ring signal detection */
#define | CDC_SERIAL_STATE_BREAK (1 << 2) /* state of break detection */
#define | CDC_SERIAL_STATE_TX_CARRIER (1 << 1) /* state of transmission carrier */
#define | CDC_SERIAL_STATE_RX_CARRIER (1 << 0) /* state of receiver carrier */

## Typedefs
typedef USB_SETUP_PACKET | CDC_NOTIFICATION_HEADER

## Functions
uint32_t | CALLBACK_UsbdCdc_Register_ControlInterfaceDescriptor (void)
uint32_t | CALLBACK_UsbdCdc_Register_DataInterfaceDescriptor (void)
uint32_t | CALLBACK_UsbdCdc_Register_LineCoding (void)
uint8_t | CALLBACK_UsbdCdc_Register_DataInEndpointNumber (void)
uint8_t | CALLBACK_UsbdCdc_Register_DataOutEndpointNumber (void)
uint8_t | CALLBACK_UsbdCdc_Register_NotificationEndpointNumber (void)
uint32_t | CALLBACK_UsbdCdc_Register_DataInEndpointSize (void)
uint32_t | CALLBACK_UsbdCdc_Register_DataOutEndpointSize (void)

## Macro Definition Documentation

#define CDC_ABSTRACT_CONTROL_MANAGEMENT 0x02

Definition at line 89 of file usbd_cdc.h.

#define CDC_ABSTRACT_CONTROL_MODEL 0x02

Definition at line 50 of file usbd_cdc.h.

#define CDC_ABSTRACT_STATE 0x01

Definition at line 146 of file usbd_cdc.h.

#define CDC_ACTIVATE_CARRIER (1 << 1)

Definition at line 158 of file usbd_cdc.h.

#define CDC_ATM_NETWORKING 0x10

Definition at line 103 of file usbd_cdc.h.

#define CDC_ATM_NETWORKING_CONTROL_MODEL 0x07

Definition at line 55 of file usbd_cdc.h.

#define CDC_AUX_JACK_HOOK_STATE 0x08

Definition at line 165 of file usbd_cdc.h.

#define CDC_CALL_MANAGEMENT 0x01

Definition at line 88 of file usbd_cdc.h.

#define CDC_CALL_STATE_CHANGE 0x28

Definition at line 168 of file usbd_cdc.h.

#define CDC_CAPI_CONTROL_MANAGEMENT 0x0E

Definition at line 101 of file usbd_cdc.h.

#define CDC_CAPI_CONTROL_MODEL 0x05

Definition at line 53 of file usbd_cdc.h.

#define CDC_CLEAR_COMM_FEATURE 0x04

Definition at line 112 of file usbd_cdc.h.

#define CDC_CLEAR_UNIT_PARAMETER 0x39

Definition at line 132 of file usbd_cdc.h.

#define CDC_COMMUNICATION_INTERFACE_CLASS 0x02

Definition at line 45 of file usbd_cdc.h.

#define CDC_CONNECTION_SPEED_CHANGE 0x2A

Definition at line 170 of file usbd_cdc.h.

#define CDC_COUNTRY_SELECTION 0x07

Definition at line 94 of file usbd_cdc.h.

#define CDC_COUNTRY_SETTING 0x02

Definition at line 147 of file usbd_cdc.h.

#define CDC_CS_ENDPOINT 0x25

Definition at line 83 of file usbd_cdc.h.

#define CDC_CS_INTERFACE 0x24

Definition at line 82 of file usbd_cdc.h.

#define CDC_DATA_INTERFACE_CLASS 0x0A

Definition at line 63 of file usbd_cdc.h.

#define CDC_DATA_MULTPLEXED_STATE (1 << 1)

Definition at line 152 of file usbd_cdc.h.

#define CDC_DIAL_DIGITS 0x36

Definition at line 129 of file usbd_cdc.h.

#define CDC_DIRECT_LINE_CONTROL_MODEL 0x01

Definition at line 49 of file usbd_cdc.h.

#define CDC_DIRECT_LINE_MANAGEMENT 0x03

Definition at line 90 of file usbd_cdc.h.

#define CDC_DTE_PRESENT (1 << 0)

Definition at line 157 of file usbd_cdc.h.

#define CDC_ETHERNET_NETWORKING 0x0F

Definition at line 102 of file usbd_cdc.h.

#define CDC_ETHERNET_NETWORKING_CONTROL_MODEL 0x06

Definition at line 54 of file usbd_cdc.h.

#define CDC_EXTENSION_UNIT 0x0C

Definition at line 99 of file usbd_cdc.h.

#define CDC_GET_ATM_DEVICE_STATISTICS 0x51

Definition at line 140 of file usbd_cdc.h.

#define CDC_GET_ATM_VC_STATISTICS 0x53

Definition at line 142 of file usbd_cdc.h.

#define CDC_GET_COMM_FEATURE 0x03

Definition at line 111 of file usbd_cdc.h.

#define CDC_GET_ENCAPSULATED_RESPONSE 0x01

Definition at line 109 of file usbd_cdc.h.

#define CDC_GET_ETHERNET_PMP_FILTER 0x42

Definition at line 136 of file usbd_cdc.h.

#define CDC_GET_ETHERNET_STATISTIC 0x44

Definition at line 138 of file usbd_cdc.h.

#define CDC_GET_LINE_CODING 0x21

Definition at line 120 of file usbd_cdc.h.

#define CDC_GET_LINE_PARMS 0x35

Definition at line 128 of file usbd_cdc.h.

#define CDC_GET_OPERATION_PARMS 0x33

Definition at line 126 of file usbd_cdc.h.

#define CDC_GET_PROFILE 0x3A

Definition at line 133 of file usbd_cdc.h.

#define CDC_GET_RINGER_PARMS 0x31

Definition at line 124 of file usbd_cdc.h.

#define CDC_GET_UNIT_PARAMETER 0x38

Definition at line 131 of file usbd_cdc.h.

#define CDC_HEADER 0x00

Definition at line 87 of file usbd_cdc.h.

#define CDC_IDLE_SETTING (1 << 0)

Definition at line 151 of file usbd_cdc.h.

#define CDC_LINE_STATE_CHANGE 0x29

Definition at line 169 of file usbd_cdc.h.

#define CDC_MULTI_CHANNEL_CONTROL_MODEL 0x04

Definition at line 52 of file usbd_cdc.h.

#define CDC_MULTI_CHANNEL_MANAGEMENT 0x0D

Definition at line 100 of file usbd_cdc.h.

#define CDC_NETWORK_CHANNEL 0x0A

Definition at line 97 of file usbd_cdc.h.

#define CDC_NOTIFICATION_NETWORK_CONNECTION 0x00

Definition at line 163 of file usbd_cdc.h.

#define CDC_NOTIFICATION_SERIAL_STATE 0x20

Definition at line 167 of file usbd_cdc.h.

#define CDC_PROTOCOL_CAPI 0x93

Definition at line 76 of file usbd_cdc.h.

#define CDC_PROTOCOL_COMMON_AT_COMMANDS 0x01

Definition at line 59 of file usbd_cdc.h.

#define CDC_PROTOCOL_DESCRIBED_IN_PUFD 0xFE

Definition at line 78 of file usbd_cdc.h.

#define CDC_PROTOCOL_EURO_ISDN 0x91

Definition at line 74 of file usbd_cdc.h.

#define CDC_PROTOCOL_HDLC 0x31

Definition at line 68 of file usbd_cdc.h.

#define CDC_PROTOCOL_HOST_BASED_DRIVER 0xFD

Definition at line 77 of file usbd_cdc.h.

#define CDC_PROTOCOL_ISDN_BRI 0x30

Definition at line 67 of file usbd_cdc.h.

#define CDC_PROTOCOL_Q921_DATA_LINK 0x51

Definition at line 71 of file usbd_cdc.h.

#define CDC_PROTOCOL_Q921_MANAGEMENT 0x50

Definition at line 70 of file usbd_cdc.h.

#define CDC_PROTOCOL_Q921_MULTIPLEXOR 0x52

Definition at line 72 of file usbd_cdc.h.

#define CDC_PROTOCOL_TRANSPARENT 0x32

Definition at line 69 of file usbd_cdc.h.

#define CDC_PROTOCOL_UNIT 0x0B

Definition at line 98 of file usbd_cdc.h.

#define CDC_PROTOCOL_V24_RATE_ADAPTATION 0x92

Definition at line 75 of file usbd_cdc.h.

#define CDC_PROTOCOL_V42 0x90

Definition at line 73 of file usbd_cdc.h.

#define CDC_PULSE_SETUP 0x12

Definition at line 115 of file usbd_cdc.h.

#define CDC_REPORTING_CAPABILITIES 0x05

Definition at line 92 of file usbd_cdc.h.

#define CDC_RESPONSE_AVAILABLE 0x01

Definition at line 164 of file usbd_cdc.h.

#define CDC_RING_AUX_JACK 0x15

Definition at line 118 of file usbd_cdc.h.

#define CDC_RING_DETECT 0x09

Definition at line 166 of file usbd_cdc.h.

#define CDC_SEND_BREAK 0x23

Definition at line 122 of file usbd_cdc.h.

#define CDC_SEND_ENCAPSULATED_COMMAND 0x00

Definition at line 108 of file usbd_cdc.h.

#define CDC_SEND_PULSE 0x13

Definition at line 116 of file usbd_cdc.h.

#define CDC_SERIAL_STATE_BREAK (1 << 2) /* state of break detection */

Definition at line 178 of file usbd_cdc.h.

#define CDC_SERIAL_STATE_FRAMING (1 << 4) /* framing error has occurred */

Definition at line 176 of file usbd_cdc.h.

#define CDC_SERIAL_STATE_OVERRUN (1 << 6) /* receive data overrun error has occurred */

Definition at line 174 of file usbd_cdc.h.

#define CDC_SERIAL_STATE_PARITY (1 << 5) /* parity error has occurred */

Definition at line 175 of file usbd_cdc.h.

#define CDC_SERIAL_STATE_RING (1 << 3) /* state of ring signal detection */

Definition at line 177 of file usbd_cdc.h.

#define CDC_SERIAL_STATE_RX_CARRIER (1 << 0) /* state of receiver carrier */

Definition at line 180 of file usbd_cdc.h.

#define CDC_SERIAL_STATE_TX_CARRIER (1 << 1) /* state of transmission carrier */

Definition at line 179 of file usbd_cdc.h.

#define CDC_SET_ATM_DATA_FORMAT 0x50

Definition at line 139 of file usbd_cdc.h.

#define CDC_SET_ATM_DEFAULT_VC 0x52

Definition at line 141 of file usbd_cdc.h.

#define CDC_SET_AUX_LINE_STATE 0x10

Definition at line 113 of file usbd_cdc.h.

#define CDC_SET_COMM_FEATURE 0x02

Definition at line 110 of file usbd_cdc.h.

#define CDC_SET_CONTROL_LINE_STATE 0x22

Definition at line 121 of file usbd_cdc.h.

#define CDC_SET_ETHERNET_MULTICAST_FILTERS 0x40

Definition at line 134 of file usbd_cdc.h.

#define CDC_SET_ETHERNET_PACKET_FILTER 0x43

Definition at line 137 of file usbd_cdc.h.

#define CDC_SET_ETHERNET_PMP_FILTER 0x41

Definition at line 135 of file usbd_cdc.h.

#define CDC_SET_HOOK_STATE 0x11

Definition at line 114 of file usbd_cdc.h.

#define CDC_SET_LINE_CODING 0x20

Definition at line 119 of file usbd_cdc.h.

#define CDC_SET_LINE_PARMS 0x34

Definition at line 127 of file usbd_cdc.h.

#define CDC_SET_OPERATION_PARMS 0x32

Definition at line 125 of file usbd_cdc.h.

#define CDC_SET_PULSE_TIME 0x14

Definition at line 117 of file usbd_cdc.h.

#define CDC_SET_RINGER_PARMS 0x30

Definition at line 123 of file usbd_cdc.h.

#define CDC_SET_UNIT_PARAMETER 0x37

Definition at line 130 of file usbd_cdc.h.

#define CDC_TELEPHONE_CONTROL_MODEL 0x03

Definition at line 51 of file usbd_cdc.h.

#define CDC_TELEPHONE_OPERATIONAL_MODES 0x08

Definition at line 95 of file usbd_cdc.h.

#define CDC_TELEPHONE_RINGER 0x04

Definition at line 91 of file usbd_cdc.h.

#define CDC_UNION 0x06

Definition at line 93 of file usbd_cdc.h.

#define CDC_USB_TERMINAL 0x09

Definition at line 96 of file usbd_cdc.h.

#define CDC_V1_10 0x0110

Definition at line 41 of file usbd_cdc.h.

## Typedef Documentation

typedef USB_SETUP_PACKET CDC_NOTIFICATION_HEADER

Definition at line 254 of file usbd_cdc.h.

## Function Documentation

uint32_t CALLBACK_UsbdCdc_Register_ControlInterfaceDescriptor | ( | void |  | ) |

uint8_t CALLBACK_UsbdCdc_Register_DataInEndpointNumber | ( | void |  | ) |

uint32_t CALLBACK_UsbdCdc_Register_DataInEndpointSize | ( | void |  | ) |

uint32_t CALLBACK_UsbdCdc_Register_DataInterfaceDescriptor | ( | void |  | ) |

uint8_t CALLBACK_UsbdCdc_Register_DataOutEndpointNumber | ( | void |  | ) |

uint32_t CALLBACK_UsbdCdc_Register_DataOutEndpointSize | ( | void |  | ) |

uint32_t CALLBACK_UsbdCdc_Register_LineCoding | ( | void |  | ) |

uint8_t CALLBACK_UsbdCdc_Register_NotificationEndpointNumber | ( | void |  | ) |